// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: Gravity.java,v 1.3 2003/03/06 00:40:49 moltmans Exp $
// Gravity.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Fri May 26 16:03:03 2000> 
// Time-stamp: <2000-07-19 16:54:17 moltmans> 
package rec.annotate.facts;

import rec.annotate.rules.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.tms.*;

/**
 * This class asserts that there is gravity
 **/
public class Gravity extends Annotation
{

  public Gravity()
  {
    super( 0, 0 );
  }
  
  public String getFactType() 
  {
    return Type.GRAVITY;
  }

  public boolean sameFact( Fact fact ) 
  {
    return (fact instanceof Gravity);
  }

  public String toEnglish() 
  {
    return "gravity is on";
  }
  
  public String toString() 
  {
    return "<Gravity is on>";
  }
}
